@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/roboto-v30-latin-regular.eot');
    src: local(''), url('../fonts/roboto-v30-latin-regular.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto-v30-latin-regular.woff2') format('woff2'), url('../fonts/roboto-v30-latin-regular.woff') format('woff'), url('../fonts/roboto-v30-latin-regular.ttf') format('truetype'), url('../fonts/roboto-v30-latin-regular.svg#Roboto') format('svg');
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/roboto-v30-latin-700.eot');
    src: local(''), url('../fonts/roboto-v30-latin-700.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto-v30-latin-700.woff2') format('woff2'), url('../fonts/roboto-v30-latin-700.woff') format('woff'), url('../fonts/roboto-v30-latin-700.ttf') format('truetype'), url('../fonts/roboto-v30-latin-700.svg#Roboto') format('svg');
}

:root {
    font-size: 16px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    min-height: 100%;
}

body {
    font-family: 'Roboto', Arial, sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    color: #fff;
}

#wrapper {
    margin: 1rem auto;
    max-width: 910px;
    background: #fff url(../images/background.jpg) no-repeat left top;
    border: solid thin #cbcbcb;
    height: 653px;
    position: relative;
}

article {
    padding: 16px 15px 0;
}

.title {
    position: absolute;
    top: 59px;
    right: 24px;
    text-align: right;
}

.flex-box {
    display: flex;
    gap: 30px;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 89px 184px 0 77px;
}

.flex-box p {
    font-size: 20px;
    text-align: center;
}

.width {
    width: 104px;
}

h1 {
    font-weight: 400;
    font-size: 18px;
    line-height: 1.4;
}

p {
    margin-bottom: 10px;
}

:is(a:link, a:visited, a:hover, a:active) {
    color: #fff;
    text-decoration: none;
}

img {
    max-width: 100%;
    vertical-align: bottom;
}

footer {
    padding: 0 15px;
}

.qrcode {
    position: absolute;
    bottom: 30px;
    right: 42px;
    font-size: 17px;
    text-align: right;
}

.text {
    font-size: 11px;
    text-align: right;
    margin: 3px 20px 0 0;
}

@media screen and (max-width:909px) {
    #wrapper {
        border: none;
        margin: 0;
        background: #464748;
        height: auto;
    }

    .flex-box {
        gap: 20px;
        margin-bottom: 14px;
        padding: 17px 2rem 0;
    }

    .qrcode {
        position: static;
        text-align: center;
    }

    p {
        hyphens: auto;
        text-wrap: pretty;
        margin-bottom: 0;
    }

    .title p {
        font-size: 1.5vw;
    }

    h1 {
        font-size: 2vw;
    }

    .text {
        text-align: center;
    }

    :is(p a, span) {
        white-space: nowrap;
    }

    footer {
        padding-bottom: 1rem;
    }
}

@media screen and (max-width:767px) {
    .title {
        position: static;
        text-align: center;
    }

    .title p {
        font-size: 14px;
    }

    .title br {
        display: none;
    }

    h1 {
        font-size: 20px;
    }
}

@media screen and (max-width:630px) {
    .flex-box {
        flex-direction: column;
    }

    .flex-box p br {
        display: none;
    }

    .width {
        width: 100%;
    }
}